AsterNet Class Library (Sandcastle documentation)

| QueueMemberEvent Status Property

Get/Set the status of this queue member.
Available since Asterisk 1.2
Valid status codes are:

AST_DEVICE_UNKNOWN (0)
  Queue member is available
AST_DEVICE_NOT_INUSE (1)
  ?
AST_DEVICE_INUSE (2)
  ?
AST_DEVICE_BUSY (3)
  ?
AST_DEVICE_INVALID (4)
  ?
AST_DEVICE_UNAVAILABLE (5)
  ?

Namespace: AsterNET.Manager.Event
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public int Status { get; set; }

    Public Property Status As Integer
    	Get
    	Set

    public:
    property int Status {
    	int get ();
    	void set (int value);
    }

    member Status : int with get, set

#### Property Value

Type: Int32
See Also

#### Reference

QueueMemberEvent Class
AsterNET.Manager.Event Namespace